#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main()
{
    ll n;
    cin >> n;
    if (n % 2 != 0)
    {
        int min1 = 3, min2 = 4, max1 = n * 2, max2 = n * 2 - 1;
        bool proslo1 = false, proslo2 = false;
        deque<ll> r1;
        deque<ll> r2;
        r1.push_back(1);
        r2.push_back(2);
        while (r1.size()+r2.size()<n*2)
        {
            if(r1.size() < n && proslo1 == false)
            {
                r1.push_back(max1);
                r1.push_front(max2);
                max1 -= 2;
                max2 -= 2;
                proslo1 = true;
            }
            else if (r1.size() < n && proslo1 == true)
            {
                r1.push_back(min1);
                r1.push_front(min2);
                min1 += 2;
                min2 += 2;
                proslo1 = false;
            }
            if(r2.size() < n && proslo2 == false)
            {
                r2.push_back(max1);
                r2.push_front(max2);
                max1 -= 2;
                max2 -= 2;
                proslo2 = true;
            }
            else if (r2.size() < n && proslo2 == true)
            {
                r2.push_back(min1);
                r2.push_front(min2);
                min1 += 2;
                min2 += 2;
                proslo2 = false;
            }
            int a = r1.back(), a2 = r1.front();
            int b = r2.back(), b2 = r2.front();
        }
        while(!r1.empty())
        {
            cout << r1.back() << " ";
            r1.pop_back();
        }
        cout << '\n';
        while(!r2.empty())
        {
            cout << r2.back() << " ";
            r2.pop_back();
        }
    }


}